
Redmine - Defect #41215

Reg: CSV Files could not be export in redmine

2024-09-03 10:40 - Dinakaran  P

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 4.0.1

Description

dinakaran@redmine-server-26-08-2024:/var/log/redmine/default$ tail -f production.log

lib/redmine/export/csv.rb:49:in `<<'

app/helpers/queries_helper.rb:283:in `block (2 levels) in query_to_csv'

app/helpers/queries_helper.rb:282:in `each'

app/helpers/queries_helper.rb:282:in `block in query_to_csv'

lib/redmine/export/csv.rb:44:in `generate'

lib/redmine/export/csv.rb:26:in `generate'

app/helpers/queries_helper.rb:278:in `query_to_csv'

app/controllers/issues_controller.rb:67:in `block (2 levels) in index'

app/controllers/issues_controller.rb:47:in `index'

lib/redmine/sudo_mode.rb:63:in `sudo_mode'

Started GET

"/redmine/issues.csv?utf8=%E2%9C%93&set_filter=1&f%5B%5D=status_id&op%5Bstatus_id%5D=o&v%5Bstatus_id%5D%5B%5D

=&c%5B%5D=id&c%5B%5D=project&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B%5D=subject&c%5B%5D=

assigned_to&c%5B%5D=updated_on&t%5B%5D=estimated_hours&t%5B%5D=spent_hours&sort=id%3Adesc&c%5B%5D=all_inlin

e&encoding=ISO-8859-1" for 103.199.145.82 at 2024-09-03 08:37:19 +0000

Processing by IssuesController#index as CSV

Parameters: {"utf8"=>"✓", "set_filter"=>"1", "f"=>["status_id"], "op"=>{"status_id"=>"o"}, "v"=>{"status_id"=>[""]}, "c"=>["id", "project",

"tracker", "status", "priority", "subject", "assigned_to", "updated_on", "all_inline"], "t"=>["estimated_hours", "spent_hours"],

"sort"=>"id:desc", "encoding"=>"ISO-8859-1"}

Current user: admin (id=1)

Completed 500 Internal Server Error in 1191ms (ActiveRecord: 8.2ms)

FrozenError (can't modify frozen String: ""):

lib/redmine/codeset_util.rb:64:in `force_encoding'

lib/redmine/codeset_util.rb:64:in `from_utf8'

lib/redmine/export/csv.rb:52:in `block in <<'

lib/redmine/export/csv.rb:49:in `map'

lib/redmine/export/csv.rb:49:in `<<'

app/helpers/queries_helper.rb:283:in `block (2 levels) in query_to_csv'

app/helpers/queries_helper.rb:282:in `each'

app/helpers/queries_helper.rb:282:in `block in query_to_csv'

lib/redmine/export/csv.rb:44:in `generate'

lib/redmine/export/csv.rb:26:in `generate'

app/helpers/queries_helper.rb:278:in `query_to_csv'

app/controllers/issues_controller.rb:67:in `block (2 levels) in index'

app/controllers/issues_controller.rb:47:in `index'

lib/redmine/sudo_mode.rb:63:in `sudo_mode

Related issues:

Is duplicate of Redmine - Defect #38337: Export Time as CSV : FrozenError (ca... Closed

History

#1 - 2024-09-04 01:37 - Go MAEDA

If you have installed plugins or modified Redmine's source code, please uninstall them all and try the CSV export again.

#2 - 2024-09-12 15:11 - Holger Just

- Is duplicate of Defect #38337: Export Time as CSV : FrozenError (can't modify frozen String: "") added
#3 - 2024-09-12 15:14 - Holger Just

- Category deleted (Importers)

- Resolution set to Duplicate

This is a duplicate of #38337. Please refer there, specifically:

Redmine 4.0 does not officially support Ruby 2.7 [or newer]. Also Redmine 4.0.x does not receive any updates and is not supported by the

Redmine project anymore. You should update Redmine to a newer version.

#4 - 2024-12-28 09:02 - Go MAEDA

- Status changed from New to Closed
